In Store Service/Repair with 3.0b

Discussion in 'iPhone' started by PaThKu, Mar 18, 2009.

  1. PaThKu macrumors member

    Joined:
    Oct 28, 2007
    #1
    I'm currently running 3.0beta (Legit, I have a dev account) on my 3G iPhone. I'm wondering if something happens to it, can I still get repairs/replacements for my iPhone? Does the beta effect my warranty?

    As always, thanks in advance!
     
  2. nickspohn macrumors 68040

    nickspohn

    Joined:
    Jun 9, 2007
  3. GoCubsGo macrumors Nehalem

    GoCubsGo

    Joined:
    Feb 19, 2005
    #3
    If you are a developer and you loaded it legitimately I would say no. If you downloaded the leaked torrent then I don't know. Apple in-store cronies have no idea who is a developer and who isn't. However, due to the beta version on your phone they may encourage you to downgrade to troubleshoot.
     
  4. Mengels7 macrumors regular

    Joined:
    Mar 17, 2009
    #4
    Except that according to Apple, you can't downgrade. (Yes I know you can if you jump through all the hoops.)
     
  5. PaThKu thread starter macrumors member

    Joined:
    Oct 28, 2007
    #5
    Thanks, I could always log into my dev account for them couldn't I?

    The problem I see is that Apple "claims" you can't downgrade. So what would they have me do? :-/
     
  6. Mengels7 macrumors regular

    Joined:
    Mar 17, 2009
    #6
    If they didn't fix it or give you a new iPhone, I'd throw a fit.
     
  7. PaThKu thread starter macrumors member

    Joined:
    Oct 28, 2007
    #7
    Haha, good idea :D. I'll be sure to post what goes down after my trip to the Apple store this weekend.
     
  8. DreamPod macrumors 65816

    DreamPod

    Joined:
    Mar 15, 2008
    #8
    Doubt it. The site specifically says to only install it on development devices, and only for development purposes, and the Apple Store folks won't know what to do with it.
     
  9. wil49 macrumors member

    Joined:
    Mar 18, 2009
    Location:
    Chester, UK
    #9
    Apple store guys arent trained to deal with developer people, you just need to read the information first before you put 3.0 on your device.
     

Share This Page